import { PatternCreator, UnionizePatternsMap } from './types';
declare const combinedPatterns: {
    readonly stripes: ({ color, background, lineWidth, spacing, angle, dash, }?: import("./stripes-pattern").StripesPatternConfig) => PatternCreator;
    readonly dots: ({ color, background, size, rows, align, spacing, verticalSpicing, horizontalSpicing, }?: import("./dots-pattern").DotsPatternConfig) => PatternCreator;
    readonly gradient: ({ colors }: import("./gradient-pattern").GradientPatternConfig) => PatternCreator;
    readonly triangles: ({ color, background, width, height, align, direction, spacing, }: import("./triangles-pattern").TrianglesPatternConfig) => PatternCreator;
};
type CombinedPatterns = UnionizePatternsMap<typeof combinedPatterns>;
export type CombinedPatternConfig = (Omit<CombinedPatterns, 'name'> | {
    creator: PatternCreator;
})[];
export declare const combinedPattern: (patterns: CombinedPatternConfig) => PatternCreator;
export {};
