import { FlameChartNodes, FlameChartSettings, Marks, Waterfall, WaterfallItem, Mark, UIPlugin, FlatTreeNode, Timeseries } from '../../index';
export type NodeTypes = {
    node: FlatTreeNode | null;
    type: 'flame-chart-node';
} | {
    node: WaterfallItem | null;
    type: 'waterfall-node';
} | {
    node: Mark | null;
    type: 'mark';
} | null;
export type FlameChartWrapperProps = {
    data?: FlameChartNodes;
    marks?: Marks;
    waterfall?: Waterfall;
    timeseries?: Timeseries;
    timeframeTimeseries?: Timeseries;
    colors?: Record<string, string>;
    settings?: FlameChartSettings;
    position?: {
        x: number;
        y: number;
    };
    zoom?: {
        start: number;
        end: number;
    };
    plugins?: UIPlugin[];
    className?: string;
    onSelect?: (data: NodeTypes) => void;
};
export declare const FlameChartComponent: (props: FlameChartWrapperProps) => import("react/jsx-runtime").JSX.Element;
